<?php
/**
 * Adds support for Paid Membership Pro maps addon.
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

/**
 * Enables privacy for Member Maps by PM Pro.
 */
add_filter( 'pmpro_membership_maps_sql_parts', function ( $parts ) {
	return bppv_get_prmpro_dir_where_sql( $parts );
} );

/**
 * Enables privacy for [pmpro_member_directory] shortcode.
 *
 * @see pmpro-member-directory plugin.
 */
add_filter( 'pmpro_member_directory_sql_parts', function ( $parts ) {
	return bppv_get_prmpro_dir_where_sql( $parts );
} );

/**
 * Appends privacy sql to the WHERE clause.
 *
 * @param array $parts sql parts.
 *
 * @return array
 */
function bppv_get_prmpro_dir_where_sql( $parts ) {
	$excluded_sql   = bp_profile_visibility_get_users_sql( 'bp_exclude_in_dir', 'yes' );
	$parts['WHERE'] .= " AND ( u.ID NOT IN($excluded_sql) )";

	return $parts;
}
